Package org.apache.jasper.compiler

## Class AntCompiler

- java.lang.Object
- - org.apache.jasper.compiler.Compiler
  - - org.apache.jasper.compiler.AntCompiler

    public class AntCompiler
    extends Compiler

Main JSP compiler class. This class uses Ant for compiling.

Author:
  Anil K. Vijendran, Mandar Raje, Pierre Delisle, Kin-man Chung, Remy Maucherat, Mark Roth

### Nested Class Summary

Nested Classes
`static class` `AntCompiler.JasperAntLogger`
`protected static class` `AntCompiler.SystemLogHandler`

### Field Summary

Fields
`protected static java.lang.Object` `javacLock`
`protected AntCompiler.JasperAntLogger` `logger`
`protected org.apache.tools.ant.Project` `project`

### Fields inherited from class org.apache.jasper.compiler.Compiler

`ctxt, errDispatcher, jsw, options, pageInfo, pageNodes, tfp`

### Constructor Summary

Constructors
`AntCompiler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `generateClass​(java.util.Map<java.lang.String,​SmapStratum> smaps)` Compile the servlet from .java file to .class file
`protected org.apache.tools.ant.Project` `getProject()`

### Methods inherited from class org.apache.jasper.compiler.Compiler

`compile, compile, compile, generateJava, getCompilationContext, getErrorDispatcher, getPageInfo, getSmap, init, isOutDated, isOutDated, removeGeneratedClassFiles, removeGeneratedFiles`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### javacLock

    protected static final java.lang.Object javacLock

#### project

    protected org.apache.tools.ant.Project project

#### logger

    protected AntCompiler.JasperAntLogger logger

### Constructor Detail

#### AntCompiler

    public AntCompiler()

### Method Detail

#### getProject

    protected org.apache.tools.ant.Project getProject()

#### generateClass

    protected void generateClass​(java.util.Map<java.lang.String,​SmapStratum> smaps)
                          throws java.io.FileNotFoundException,
                                 JasperException,
                                 java.lang.Exception

Compile the servlet from .java file to .class file

Specified by:
  `generateClass` in class `Compiler`
Parameters:
  `smaps` - The source maps for the class(es) generated from the source file
Throws:
  `java.io.FileNotFoundException` - Source files not found
  `JasperException` - Compilation error
  `java.lang.Exception` - Some other error